#include "pplite_test.hh"

bool
test01() {
  Integer n = 11111;
  Integer d = 1111111;
  for (auto i = 0; i < 10; ++i) {
    n *= n;
    d *= d;
  }

  nout << "sizeof(n) = " << sizeof(n) << std::endl;
  nout << "external_memory_in_bytes(n) = "
       << external_memory_in_bytes(n) << std::endl;
  nout << "external_memory_in_bytes(d) = "
       << external_memory_in_bytes(d) << std::endl;

  Rational r(n, d);
  nout << "sizeof(r) = " << sizeof(r) << std::endl;
  nout << "external_memory_in_bytes(r) = "
       << external_memory_in_bytes(r) << std::endl;
  nout << "total_memory_in_bytes(r) = "
       << total_memory_in_bytes(r) << std::endl;
  return true;
}

BEGIN_MAIN
  DO_TEST(test01);
END_MAIN
